###########################################################################
#
#   Copyright (c) 2001 Morten W. Petersen <morten@esol.no>
#	Copyright (c) 2001 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Author: morten $
# $Revision: 1.0 $

__doc__ = 'Documentation string.'
__version__ = '0.1.0'

import os
import Globals
import ImageFile
import thread_safe_counter

misc_ = {
	'Folder_icon.gif': ImageFile.ImageFile('img/Folder_icon.gif', globals()),
	'dtmldoc.gif': ImageFile.ImageFile('img/dtmldoc.gif', globals()),
	}

def initialize(context):
	"Initialize the product."
	try:
		context.registerClass(
			thread_safe_counter.thread_safe_counter,
			constructors = (thread_safe_counter.manage_add_thread_safe_counter_form,
					thread_safe_counter.manage_add_thread_safe_counter)
			)
	except:
		import sys, traceback, string
		type, val, tb = sys.exc_info()
		sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
		del type, val, tb

	context.registerHelp()
	context.registerHelpTitle('Thread safe counter help')

def unlink_lock_files():

	for filename in os.listdir(Globals.data_dir):

		if filename[-5:] == '.lock':

			os.unlink('%s/%s' % (Globals.data_dir, filename))

unlink_lock_files()